summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-09-11 09:04:57 +0200
committerMichał Górny <mgorny@gentoo.org>2021-09-11 09:15:44 +0200
commitc2cd0f3eb5ec101ecf14a303810e8cab881a6386 (patch)
treeb256e991323050d3c24915558f7668da83492d1c /dev-python
parentdev-python/cloudpickle: Bump to 2.0.0 (diff)
downloadgentoo-c2cd0f3eb5ec101ecf14a303810e8cab881a6386.tar.gz
gentoo-c2cd0f3eb5ec101ecf14a303810e8cab881a6386.tar.bz2
gentoo-c2cd0f3eb5ec101ecf14a303810e8cab881a6386.zip
dev-python/translate-toolkit: Bump to 3.4.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.4.1.ebuild99
2 files changed, 100 insertions, 0 deletions
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 2b32aad1b9b..624b95150b3 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-3.3.6.gh.tar.gz 1140841 BLAKE2B 77d8b930ba8a91e801a04c67bdd13c0c6538d4df2418f26e1f6bfdb98c275fe746062840034c5345dcf61abc87ee6b8e1b2cda34a71c8e3850ac37df707b8a34 SHA512 c6eedcdb9ecece4804c25aedd57de37da12baf9b2f3bae1c87377f9a07e1e5f1cfeeed8073861b73201de3b35ec4e5da5f972d775c7ff35fa7be21c97746435d
DIST translate-3.4.0.gh.tar.gz 1147056 BLAKE2B 94b0b4f6d12f4ecdb210338a814e9f4bf7b7f5d31c992f03d581e8ec0ece849eb3e74c41396c29a1c756f0aed286d073e5bbea8ca4e7f74987bf61d6e3ebe24a SHA512 04694b3c277cb63e405a00c5c8c13ec63f232c641c7987e5e2304f30af05fb912ca7339fb42c1fea29c0906e75975b66261474e7fed16a1e47ba0b4265cbfeef
+DIST translate-3.4.1.gh.tar.gz 1147673 BLAKE2B 3a29b06f944752e9edb30c9b3efd681d7cd7f75fc9a320a3a8d9e74d497e43f1a1a4e18649174e4b28f1a3b2223d735ba411d32736b1fea36237ba95f8021217 SHA512 e2ff9b2c5de58c15ef7b11f1339be7b36ffda3368b91aa647585c9dc0f4c9f1c1ffac9165e0e963cb3c10fdf6ce037ed99d82b6156e7c104b4216c8d46dd709e
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.4.1.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.4.1.ebuild
new file mode 100644
index 00000000000..55a7a7c173e
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.4.1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="https://github.com/translate/translate"
+SRC_URI="
+ https://github.com/translate/translate/archive/refs/tags/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND+="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-bootstrap-theme
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/translate-toolkit-3.3.0-no-install-docs.patch
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}